## GORotationSel

GORotationSel

## Synopsis

    #define             GO_TYPE_ROTATION_SEL
    #define             GO_ROTATION_SEL                     (obj)
    #define             GO_IS_ROTATION_SEL                  (obj)
                        GORotationSel;
    GType               go_rotation_sel_get_type            (void);
    GtkWidget*          go_rotation_sel_new                 (void);
    void                go_rotation_sel_set_rotation        (GORotationSel *rs,
                                                             int degrees);
    int                 go_rotation_sel_get_rotation        (GORotationSel const *rs);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GORotationSel

## Implemented Interfaces

GORotationSel implements AtkImplementorIface and GtkBuildable.

## Signals

      "rotation-changed"                               : Run Last

## Description

## Details

### GO_TYPE_ROTATION_SEL

    #define GO_TYPE_ROTATION_SEL	(go_rotation_sel_get_type ())

### GO_ROTATION_SEL()

    #define GO_ROTATION_SEL(obj)	(G_TYPE_CHECK_INSTANCE_CAST((obj), GO_TYPE_ROTATION_SEL, GORotationSel))

`obj` : |

### GO_IS_ROTATION_SEL()

    #define GO_IS_ROTATION_SEL(obj)	(G_TYPE_CHECK_INSTANCE_TYPE((obj), GO_TYPE_ROTATION_SEL))

`obj` : |

### GORotationSel

    typedef struct _GORotationSel GORotationSel;

### go_rotation_sel_get_type ()

    GType               go_rotation_sel_get_type            (void);

Returns : |

### go_rotation_sel_new ()

    GtkWidget*          go_rotation_sel_new                 (void);

Returns : |

### go_rotation_sel_set_rotation ()

    void                go_rotation_sel_set_rotation        (GORotationSel *rs,
                                                             int degrees);

`rs` : |
`degrees` : |

### go_rotation_sel_get_rotation ()

    int                 go_rotation_sel_get_rotation        (GORotationSel const *rs);

`rs` : |
Returns : |

## Signal Details

### The `"rotation-changed"` signal

    void                user_function                      (GORotationSel *gorotationsel,
                                                            gint           arg1,
                                                            gpointer       user_data)          : Run Last

`gorotationsel` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.